<?php

/**
 * @file
 * Admin page callbacks for the stumble module.
 */

/**
 * Admin settings form.
 *
 * @see system_settings_form()
 */
function stumble_settings_form() {
  $form['stumble_node_types'] = array(
    '#type' => 'checkboxes',
    '#title' => t('Enable stumbling for the following content types'),
    '#options' => node_get_types('names'),
    '#default_value' => stumble_var('stumble_node_types'),
  );
  $form['stumble_same_type'] = array(
    '#type' => 'checkbox',
    '#title' => t('Only stumble between the same content types.'),
    '#default_value' => stumble_var('stumble_same_type'),
  );
  $form['stumble_prefer_unread'] = array(
    '#type' => 'checkbox',
    '#title' => t('Stumble to unread nodes first.'),
    '#description' => t('If no unread nodes are found, a random node will be selected.'),
    '#default_value' => stumble_var('stumble_prefer_unread'),
  );
  $form['stumble_link_text'] = array(
    '#type' => 'textfield',
    '#title' => t('Link Text'),
    '#default_value' => stumble_var('stumble_link_text'),
    '#size' => 20,
    '#max_size' => 64,
  );
  $form['array_filter'] = array(
    '#type' => 'value',
    '#value' => TRUE
  );

  return system_settings_form($form);
}
